﻿using DevExpress.ExpressApp.DC;
using DevExpress.Persistent.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xafari.BC.DC;
using Xafari.DC;
using Xafari.XF;

namespace Tests.Module.BusinessObjects
{
    [DomainComponent, DefaultClassOptions]
    [RegisterEntity]
    public interface Bag : IXFEntity
    {
        int No1 { get; set; }
        int No2 { get; set; }
    }


    public class BagLogics : DomainLogics
    {


        [DomainLogic(typeof(Bag))]
        public class Main : Main<Bag>
        {
            public Main(Bag instance) : base(instance) { }
        }
    }
}
