﻿using System;
using System.Configuration;
using System.Windows.Forms;

using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Security;
using DevExpress.ExpressApp.Win;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using Xafari;
using Xafari.Win;
using Tests.App;

namespace Tests.Win
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(params string[] args)
        {
            using (var host = new TestsWinApplicationHost { Arguments = args })
            {
                host.Setup();
                host.StartApplication();
            }
        }
    }
}
